Page MenuHomeFreeBSD

Delete kgzip and kgzldr.
ClosedPublic

Authored by delphij on May 12 2019, 7:05 PM.

Details

Summary

These have been detach from build for long time.
Removing these as a part of sys/sys/inflate.h removal.

Test Plan

make buildorld TARGET_ARCH=i386

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ota_j.email.ne.jp edited the summary of this revision. (Show Details)May 13 2019, 10:48 AM
ota_j.email.ne.jp added reviewers: kib, delphij, jmg.
delphij accepted this revision.May 13 2019, 4:13 PM
This revision is now accepted and ready to land.May 13 2019, 4:13 PM

Delete unneeded comments and put 2019 May.

This revision now requires review to proceed.May 15 2019, 1:21 AM
ota_j.email.ne.jp planned changes to this revision.May 15 2019, 8:00 AM

It looks this change hasn't yet committed.

Could you hold on to this for a while?

I found https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=183666 and it looks kgzip was working until 8.4 release which is much newer release than I had found. I'd like to spend more time to find how to set it and and if this still works.

imp accepted this revision.May 17 2019, 2:54 PM

These changes look good to me.
I'm surprised it worked as late as 8.4.

emaste added a subscriber: emaste.May 20 2019, 8:11 PM
delphij commandeered this revision.May 24 2019, 3:03 AM
delphij edited reviewers, added: ota_j.email.ne.jp; removed: delphij.
delphij updated this revision to Diff 57824.May 24 2019, 3:05 AM

Rebase and minor fixup.

This revision was not accepted when it landed; it landed in state Needs Review.May 24 2019, 5:34 AM
Closed by commit rS348225: Remove kgzip and kgzldr. (authored by delphij). · Explain Why
This revision was automatically updated to reflect the committed changes.